#ifndef _goal_h
#define _goal_h

/*
  xut - button football (soccer) game
  Copyright (C) 2008 farrer <farrer@dnteam.org> and gushm <gushm@dnteam.org>

  This file is part of xut.

  xut is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  xut is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with xut.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "../etc/animodel.h"

#include "field.h"
#include "camera.h"

#include <string>
using namespace std;

#define GOAL1_X FIELD_X - FIELD_SIDE_DELTA
#define GOAL2_X FIELD_SIDE_DELTA
#define GOAL_Z FIELD_Z/2.0

/*! The goal class represents, as its name sugests,
 * but not at singular, the 2 (TWO!) field goals */
class goal
{
   public:
      /*! Constructor
       * \param fileName -> file name of the goal 3d model to load */
      goal(string fileName);
      /*! Destructor */
      ~goal();

      /*! Render the goals
       * \param gameCamera -> current used game camera */
      void render(camera* gameCamera);

      float min[3];        /**< Min Bounding box Part */
      float max[3];        /**< Max Bounding Box Part */

      aniModel* model;     /**< Goal 3D Model */
};


#endif


