#ifndef _physic_h
#define _physic_h

/*
  xut - button football (soccer) game
  Copyright (C) 2008 farrer <farrer@dnteam.org> and gushm <gushm@dnteam.org>

  This file is part of xut.

  xut is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  xut is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with xut.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "../engine/team.h"
#include "../engine/teamplayer.h"
#include "../engine/ball.h"
#include "../engine/goal.h"
#include "../etc/util.h"

#define FRICTION    0.5

void disk_diskCollision(teamPlayer &d1, team* t1, teamPlayer &d2, team* t2);

void disk_ballCollision(teamPlayer &disk, team* t1, ball *gameBall);

void disk_goalkeeperCollision(teamPlayer &goalKeeper, team *goalTeam,
                              teamPlayer &disk, team *diskTeam);
                              
void disk_goalCollision(teamPlayer &disk, team *diskTeam, bool upper,
                        float minGoal[3], float maxGoal[3]);

void ball_goalkeeperCollision(teamPlayer &goalKeeper, team *t, 
                              ball *gameBall);
                              
bool ball_goalCollision(ball *gameBall, bool upper, 
                        float minGoal[3], float maxGoal[3]);


#endif
